--- include/class.reminder_action.php	2009-01-12 23:15:12.068965748 +0200
+++ /usr/share/eventum/include/class.reminder_action.php	2009-02-05 02:15:18.647322564 +0200
@@ -29,14 +29,6 @@
 // @(#) $Id: class.reminder_action.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.reminder_condition.php");
-require_once(APP_INC_PATH . "class.notification.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.group.php");
-require_once(APP_INC_PATH . "class.mail.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.validation.php");
 
 /**
  * Class to handle the business logic related to the reminder emails
@@ -87,7 +79,7 @@
                         rma_rank=" . Misc::escapeInteger($ranking[$rma_id]) . "
                      WHERE
                         rma_id=" . Misc::escapeInteger($replaced_rma_id);
-            $GLOBALS["db_api"]->dbh->query($stmt);
+            Db_Helper::getInstance()->query($stmt);
         }
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action
@@ -95,7 +87,7 @@
                     rma_rank=" . Misc::escapeInteger($new_rank) . "
                  WHERE
                     rma_id=" . Misc::escapeInteger($rma_id);
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
         return true;
     }
 
@@ -119,7 +111,7 @@
                     rma_rem_id = " . Misc::escapeInteger($rem_id) . "
                  ORDER BY
                     rma_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -144,7 +136,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action
                  WHERE
                     rma_id=" . Misc::escapeInteger($rma_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -169,7 +161,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action
                  WHERE
                     rma_id=" . Misc::escapeInteger($rma_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -205,14 +197,14 @@
                  ) VALUES (
                     " . Misc::escapeInteger($_POST['rem_id']) . ",
                     " . Misc::escapeInteger($_POST['type']) . ",
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     '" . Misc::escapeString($_POST['title']) . "',
                     '" . Misc::escapeInteger($_POST['rank']) . "',
                     " . Misc::escapeInteger($_POST['alert_irc']) . ",
                     " . Misc::escapeInteger($_POST['alert_group_leader']) . ",
                     '" . Misc::escapeString($_POST['boilerplate']) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -244,7 +236,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action_list
                  WHERE
                     ral_rma_id=" . Misc::escapeInteger($rma_id);
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -292,7 +284,7 @@
                         " . Misc::escapeInteger($usr_id) . ",
                         '" . Misc::escapeString($email) . "'
                      )";
-            $GLOBALS["db_api"]->dbh->query($stmt);
+            Db_Helper::getInstance()->query($stmt);
         }
     }
 
@@ -308,7 +300,7 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action
                  SET
-                    rma_last_updated_date='" . Date_API::getCurrentDateGMT() . "',
+                    rma_last_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
                     rma_rank='" . Misc::escapeInteger($_POST['rank']) . "',
                     rma_title='" . Misc::escapeString($_POST['title']) . "',
                     rma_rmt_id=" . Misc::escapeInteger($_POST['type']) . ",
@@ -317,7 +309,7 @@
                     rma_boilerplate='" . Misc::escapeString($_POST['boilerplate']) . "'
                  WHERE
                     rma_id=" . Misc::escapeInteger($_POST['id']);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -349,7 +341,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action_type
                  WHERE
                     rmt_id=" . Misc::escapeInteger($rmt_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -384,7 +376,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action_list
                  WHERE
                     ral_rma_id IN ($items)";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
     }
 
 
@@ -402,17 +394,17 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action
                  WHERE
                     rma_id IN ($items)";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_history
                  WHERE
                     rmh_rma_id IN ($items)";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
         $stmt = "DELETE FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level_condition
                  WHERE
                     rlc_rma_id IN ($items)";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
         Reminder_Action::clearActionUserList($action_ids);
     }
 
@@ -432,7 +424,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action_type
                  ORDER BY
                     rmt_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -468,7 +460,7 @@
                     rma_rem_id=" . Misc::escapeInteger($rem_id) . "
                  ORDER BY
                     rma_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -505,7 +497,7 @@
                     rma_rem_id=" . Misc::escapeInteger($reminder_id) . "
                  ORDER BY
                     rma_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -534,7 +526,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_action_type
                  WHERE
                     rmt_id=" . Misc::escapeInteger($rmt_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -564,9 +556,9 @@
                  ) VALUES (
                     " . Misc::escapeInteger($issue_id) . ",
                     " . Misc::escapeInteger($rma_id) . ",
-                    '" . Date_API::getCurrentDateGMT() . "'
+                    '" . Date_Helper::getCurrentDateGMT() . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -744,7 +736,7 @@
                     $to = array_merge($to, $addresses);
                 }
             }
-            $tpl = new Template_API;
+            $tpl = new Template_Helper();
             $tpl->setTemplate('reminders/' . $type . '_alert.tpl.text');
             $tpl->bulkAssign(array(
                 "data"                     => $data,
@@ -756,7 +748,7 @@
             $text_message = $tpl->getTemplateContents();
             foreach ($to as $address) {
                 // send email (use PEAR's classes)
-                $mail = new Mail_API;
+                $mail = new Mail_Helper;
                 $mail->setTextBody($text_message);
                 $setup = $mail->getSMTPSettings();
                 $mail->send($setup["from"], $address, "[#$issue_id] " . ev_gettext("Reminder") . ": " . $action['rma_title'], 0, $issue_id, 'reminder');
@@ -783,7 +775,7 @@
     {
         $to = Reminder::_getReminderAlertAddresses();
         if (count($to) > 0) {
-            $tpl = new Template_API;
+            $tpl = new Template_Helper();
             $tpl->setTemplate('reminders/alert_no_recipients.tpl.text');
             $tpl->bulkAssign(array(
                 "type"                     => $type,
@@ -796,7 +788,7 @@
             $text_message = $tpl->getTemplateContents();
             foreach ($to as $address) {
                 // send email (use PEAR's classes)
-                $mail = new Mail_API;
+                $mail = new Mail_Helper;
                 $mail->setTextBody($text_message);
                 $setup = $mail->getSMTPSettings();
                 $mail->send($setup["from"], $address, "[#$issue_id] " . ev_gettext("Reminder Not Triggered") . ": " . $action['rma_title'], 0, $issue_id);
@@ -827,7 +819,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_triggered_action
                  WHERE
                     rta_iss_id IN (" . implode(', ', Misc::escapeInteger($issues)) . ")";
-        $triggered_actions = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $triggered_actions = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($triggered_actions)) {
             Error_Handler::logError(array($triggered_actions->getMessage(), $triggered_actions->getDebugInfo()), __FILE__, __LINE__);
             return $issues;
@@ -864,7 +856,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_triggered_action
                  WHERE
                     rta_iss_id=$issue_id";
-        $total = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $total = Db_Helper::getInstance()->getOne($stmt);
         if ($total == 1) {
             $stmt = "UPDATE
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_triggered_action
@@ -883,7 +875,7 @@
                         $rma_id
                      )";
         }
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -906,7 +898,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_triggered_action
                  WHERE
                     rta_iss_id=" . Misc::escapeInteger($issue_id);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
--- include/class.reminder_condition.php	2009-01-12 23:15:12.085433204 +0200
+++ /usr/share/eventum/include/class.reminder_condition.php	2009-02-05 02:04:13.614052693 +0200
@@ -29,8 +29,6 @@
 // @(#) $Id: class.reminder_condition.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.status.php");
 
 /**
  * Class to handle the business logic related to the reminder emails
@@ -57,7 +55,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level_condition
                  WHERE
                     rlc_id=" . Misc::escapeInteger($rlc_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -85,14 +83,14 @@
                     rlc_value,
                     rlc_comparison_rmf_id
                  ) VALUES (
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     " . Misc::escapeInteger($_POST['rma_id']) . ",
                     " . Misc::escapeInteger($_POST['field']) . ",
                     " . Misc::escapeInteger($_POST['operator']) . ",
                     '" . Misc::escapeString(@$_POST['value']) . "',
                     '" . Misc::escapeInteger(@$_POST['comparison_field']) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -113,14 +111,14 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level_condition
                  SET
-                    rlc_last_updated_date='" . Date_API::getCurrentDateGMT() . "',
+                    rlc_last_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
                     rlc_rmf_id=" . Misc::escapeInteger($_POST['field']) . ",
                     rlc_rmo_id=" . Misc::escapeInteger($_POST['operator']) . ",
                     rlc_value='" . Misc::escapeString(@$_POST['value']) . "',
                     rlc_comparison_rmf_id = '" . Misc::escapeInteger(@$_POST['comparison_field']) . "'
                  WHERE
                     rlc_id=" . Misc::escapeInteger($_POST['id']);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -144,7 +142,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_level_condition
                  WHERE
                     rlc_id IN ($items)";
-        $GLOBALS["db_api"]->dbh->query($stmt);
+        Db_Helper::getInstance()->query($stmt);
     }
 
 
@@ -168,7 +166,7 @@
                     rlc_rma_id=" . Misc::escapeInteger($action_id) . " AND
                     rlc_rmf_id=rmf_id AND
                     rlc_rmo_id=rmo_id";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -208,7 +206,7 @@
                     rlc_rma_id=" . Misc::escapeInteger($rma_id) . "
                  ORDER BY
                     rlc_id ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -244,7 +242,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_field
                  WHERE
                     rmf_id=" . Misc::escapeInteger($field_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -269,7 +267,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_field
                  WHERE
                     rmf_id=" . Misc::escapeInteger($field_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -299,7 +297,7 @@
         }
         $stmt .= "ORDER BY
                     rmf_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -325,7 +323,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_operator
                  ORDER BY
                     rmo_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -350,7 +348,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "reminder_field
                  WHERE
                     rmf_id=" . Misc::escapeInteger($field_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
